### Virtual Method

# Ide Subprocess communicate_utf8_finish

#### Declaration

    gboolean
    communicate_utf8_finish (
      IdeSubprocess* self,
      GAsyncResult* result,
      gchar** stdout_buf,
      gchar** stderr_buf,
      GError** error
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`stdout_buf` | `gchar**`
| A location for the UTF-8 formatted output string or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`stderr_buf` | `gchar**`
| A location for the UTF-8 formatted output string or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.